Modify

Opened 2 years ago

Closed 5 weeks ago

#10061 closed enhancement (fixed)

Plugin for Python 2.7

Reported by: anonymous Owned by: framay
Priority: normal Component: BudgetingPlugin
Severity: normal Keywords:
Cc: Trac Release: 0.12

Description

Are there any plans in the work to add support for python version 2.7? I have no idea how to get this work with my trac install. I am running trac 0.12.2 with Python version 2.7.2+ (default, Oct 4 2011, 20:29:37) [GCC 4.6.1]

Attachments (0)

Change History (12)

comment:1 Changed 2 years ago by framay

Well I'm not a Python expert, but I think the plugin should work with Python 2.7; on our server we use Python 2.6.5 (r265:79063, Apr 16 2010, 14:15:55) [GCC 4.4.3] and it works fine. But we are also using Trac 0.13dev-r11040; if you are using Trac 0.12 use Budgeting_Plugin-0.5.a4-py2.6.egg.

What is the error you are getting? Maybe setting logging to DEBUG or such will help?!

comment:2 Changed 2 years ago by rjollos

Or just build the egg if you are having trouble with the 2.6 egg: t:TracPlugins#InstallingaTracplugin.

comment:3 follow-up: Changed 2 years ago by anonymous

I'm not getting an error, I'm just getting nothing. After I install the plugin through the admin interface I don't get an administration panel or any differences to the ticket interface. :-(

comment:4 Changed 2 years ago by rjollos

Try turning on logging - t:TracLogging.

comment:5 in reply to: ↑ 3 Changed 2 years ago by framay

Replying to anonymous:

I'm not getting an error, I'm just getting nothing. After I install the plugin through the admin interface I don't get an administration panel or any differences to the ticket interface. :-(

Check if all Components of the plugin are activated. You can do that in the Admin panel as well.

comment:7 Changed 2 years ago by anonymous

I put it in a code block this time so it's easier to read.

2012-05-31 16:00:34,726 Trac[env] INFO: -------------------------------- environment startup [Trac 0.12.2] --------------------------------
2012-05-31 16:00:34,752 Trac[loader] DEBUG: Loading acct_mgr.admin from /usr/lib/pymodules/python2.7
2012-05-31 16:00:34,759 Trac[loader] DEBUG: Loading acct_mgr.api from /usr/lib/pymodules/python2.7
2012-05-31 16:00:34,759 Trac[loader] DEBUG: Loading acct_mgr.db from /usr/lib/pymodules/python2.7
2012-05-31 16:00:34,760 Trac[loader] DEBUG: Loading acct_mgr.htfile from /usr/lib/pymodules/python2.7
2012-05-31 16:00:34,761 Trac[loader] DEBUG: Loading acct_mgr.http from /usr/lib/pymodules/python2.7
2012-05-31 16:00:34,762 Trac[loader] DEBUG: Loading acct_mgr.notification from /usr/lib/pymodules/python2.7
2012-05-31 16:00:34,762 Trac[loader] DEBUG: Loading acct_mgr.pwhash from /usr/lib/pymodules/python2.7
2012-05-31 16:00:34,763 Trac[loader] DEBUG: Loading acct_mgr.svnserve from /usr/lib/pymodules/python2.7
2012-05-31 16:00:34,763 Trac[loader] DEBUG: Loading acct_mgr.web_ui from /usr/lib/pymodules/python2.7
2012-05-31 16:00:34,763 Trac[loader] DEBUG: Loading customfieldadmin.api from /usr/lib/pymodules/python2.7
2012-05-31 16:00:34,768 Trac[loader] DEBUG: Loading customfieldadmin.customfieldadmin from /usr/lib/pymodules/python2.7
2012-05-31 16:00:34,768 Trac[loader] DEBUG: Loading icalview from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,773 Trac[loader] DEBUG: Loading trac.about from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,775 Trac[loader] DEBUG: Loading trac.admin.console from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,777 Trac[loader] DEBUG: Loading trac.admin.web_ui from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,778 Trac[loader] DEBUG: Loading trac.attachment from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,778 Trac[loader] DEBUG: Loading trac.db.mysql from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,779 Trac[loader] DEBUG: Loading trac.db.postgres from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,780 Trac[loader] DEBUG: Loading trac.db.sqlite from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,784 Trac[loader] DEBUG: Loading trac.mimeview.patch from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,784 Trac[loader] DEBUG: Loading trac.mimeview.pygments from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,804 Trac[loader] DEBUG: Loading trac.mimeview.rst from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,924 Trac[loader] DEBUG: Loading trac.mimeview.silvercity from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,936 Trac[loader] DEBUG: Skipping "trac.mimeview.silvercity = trac.mimeview.silvercity [silvercity]": ("DistributionNotFound: SilverCity>=0.9.4" not found)
2012-05-31 16:00:34,936 Trac[loader] DEBUG: Loading trac.mimeview.txtl from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,946 Trac[loader] DEBUG: Skipping "trac.mimeview.txtl = trac.mimeview.txtl [textile]": ("DistributionNotFound: textile>=2.0" not found)
2012-05-31 16:00:34,946 Trac[loader] DEBUG: Loading trac.prefs from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,947 Trac[loader] DEBUG: Loading trac.search from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,948 Trac[loader] DEBUG: Loading trac.ticket.admin from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,949 Trac[loader] DEBUG: Loading trac.ticket.query from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,949 Trac[loader] DEBUG: Loading trac.ticket.report from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,950 Trac[loader] DEBUG: Loading trac.ticket.roadmap from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,952 Trac[loader] DEBUG: Loading trac.ticket.web_ui from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,955 Trac[loader] DEBUG: Loading trac.timeline from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,957 Trac[loader] DEBUG: Loading trac.versioncontrol.admin from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,958 Trac[loader] DEBUG: Loading trac.versioncontrol.svn_authz from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,958 Trac[loader] DEBUG: Loading trac.versioncontrol.svn_fs from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,960 Trac[loader] DEBUG: Loading trac.versioncontrol.svn_prop from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,966 Trac[loader] DEBUG: Loading trac.versioncontrol.web_ui from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,967 Trac[loader] DEBUG: Loading trac.web.auth from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,967 Trac[loader] DEBUG: Loading trac.web.session from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,967 Trac[loader] DEBUG: Loading trac.wiki.admin from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,967 Trac[loader] DEBUG: Loading trac.wiki.interwiki from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,969 Trac[loader] DEBUG: Loading trac.wiki.macros from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,969 Trac[loader] DEBUG: Loading trac.wiki.web_api from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,970 Trac[loader] DEBUG: Loading trac.wiki.web_ui from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,971 Trac[loader] DEBUG: Loading tracopt.mimeview.enscript from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,972 Trac[loader] DEBUG: Loading tracopt.mimeview.php from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,973 Trac[loader] DEBUG: Loading tracopt.perm.authz_policy from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,974 Trac[loader] DEBUG: Loading tracopt.perm.config_perm_provider from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,974 Trac[loader] DEBUG: Loading tracopt.ticket.commit_updater from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,975 Trac[loader] DEBUG: Loading tracopt.ticket.deleter from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,976 Trac[loader] DEBUG: Loading tractags from /usr/lib/pymodules/python2.7
2012-05-31 16:00:34,982 Trac[loader] DEBUG: Loading tracwysiwyg from /usr/lib/pymodules/python2.7
2012-05-31 16:00:34,983 Trac[loader] DEBUG: Loading wikitable from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:34,988 Trac[default_workflow] DEBUG: Workflow actions at initialization: {u'resolve': {u'operations': [u'set_resolution'], 'name': u'resolve', 'default': 0, 'newstate': u'closed', 'oldstates': [u'new', u'assigned', u'accepted', u'reopened'], u'permissions': [u'TICKET_MODIFY']}, u'accept': {u'operations': [u'set_owner_to_self'], 'name': u'accept', 'default': 0, 'newstate': u'accepted', 'oldstates': [u'new', u'assigned', u'accepted', u'reopened'], u'permissions': [u'TICKET_MODIFY']}, u'leave': {u'operations': [u'leave_status'], 'name': u'leave', u'default': 1, 'newstate': u'*', 'oldstates': [u'*'], 'permissions': []}, u'reopen': {u'operations': [u'del_resolution'], 'name': u'reopen', 'default': 0, 'newstate': u'reopened', 'oldstates': [u'closed'], u'permissions': [u'TICKET_CREATE']}, u'reassign': {u'operations': [u'set_owner'], 'name': u'reassign', 'default': 0, 'newstate': u'assigned', 'oldstates': [u'new', u'assigned', u'accepted', u'reopened'], u'permissions': [u'TICKET_MODIFY']}, '_reset': {'operations': ['reset_workflow'], 'name': 'reset', 'default': 0, 'newstate': 'new', 'oldstates': [], 'permissions': []}}

2012-05-31 16:00:34,990 Trac[main] DEBUG: Dispatching <Request "GET '/milestone/Web version 4'">
2012-05-31 16:00:34,996 Trac[session] DEBUG: Retrieving session for ID 'cpatzer'
2012-05-31 16:00:34,998 Trac[main] DEBUG: Negotiated locale: None -> None
2012-05-31 16:00:34,999 Trac[api] INFO: Synchronized '' repository in 0.00 seconds
2012-05-31 16:00:35,000 Trac[api] DEBUG: action controllers for ticket workflow: ['ConfigurableTicketWorkflow']
2012-05-31 16:00:35,001 Trac[chrome] DEBUG: Prepare chrome data for request
2012-05-31 16:00:35,030 Trac[svn_fs] DEBUG: Subversion bindings imported
2012-05-31 16:00:35,403 Trac[main] DEBUG: Dispatching <Request "GET '/chrome/common/js/babel.js'">
2012-05-31 16:00:35,405 Trac[session] DEBUG: Retrieving session for ID 'cpatzer'
2012-05-31 16:00:35,404 Trac[main] DEBUG: Dispatching <Request "GET '/chrome/common/js/jquery.js'">
2012-05-31 16:00:35,406 Trac[session] DEBUG: Retrieving session for ID 'cpatzer'
2012-05-31 16:00:35,404 Trac[main] DEBUG: Dispatching <Request "GET '/chrome/tracwysiwyg/wysiwyg.css'">
2012-05-31 16:00:35,492 Trac[session] DEBUG: Retrieving session for ID 'cpatzer'
2012-05-31 16:00:35,451 Trac[main] DEBUG: Dispatching <Request "GET '/chrome/common/css/trac.css'">
2012-05-31 16:00:35,494 Trac[session] DEBUG: Retrieving session for ID 'cpatzer'
2012-05-31 16:00:35,534 Trac[main] DEBUG: Dispatching <Request "GET '/chrome/common/js/search.js'">
2012-05-31 16:00:35,576 Trac[session] DEBUG: Retrieving session for ID 'cpatzer'
2012-05-31 16:00:35,618 Trac[main] DEBUG: Dispatching <Request "GET '/chrome/tracwysiwyg/wysiwyg.js'">
2012-05-31 16:00:35,619 Trac[session] DEBUG: Retrieving session for ID 'cpatzer'
2012-05-31 16:00:35,619 Trac[main] DEBUG: Dispatching <Request "GET '/chrome/common/js/folding.js'">
2012-05-31 16:00:35,622 Trac[session] DEBUG: Retrieving session for ID 'cpatzer'
2012-05-31 16:00:35,622 Trac[main] DEBUG: Dispatching <Request "GET '/chrome/tracwysiwyg/wysiwyg-load.js'">
2012-05-31 16:00:35,623 Trac[session] DEBUG: Retrieving session for ID 'cpatzer'
2012-05-31 16:00:35,993 Trac[env] INFO: -------------------------------- environment startup [Trac 0.12.2] --------------------------------
2012-05-31 16:00:36,018 Trac[loader] DEBUG: Loading acct_mgr.admin from /usr/lib/pymodules/python2.7
2012-05-31 16:00:36,024 Trac[loader] DEBUG: Loading acct_mgr.api from /usr/lib/pymodules/python2.7
2012-05-31 16:00:36,025 Trac[loader] DEBUG: Loading acct_mgr.db from /usr/lib/pymodules/python2.7
2012-05-31 16:00:36,026 Trac[loader] DEBUG: Loading acct_mgr.htfile from /usr/lib/pymodules/python2.7
2012-05-31 16:00:36,026 Trac[loader] DEBUG: Loading acct_mgr.http from /usr/lib/pymodules/python2.7
2012-05-31 16:00:36,027 Trac[loader] DEBUG: Loading acct_mgr.notification from /usr/lib/pymodules/python2.7
2012-05-31 16:00:36,028 Trac[loader] DEBUG: Loading acct_mgr.pwhash from /usr/lib/pymodules/python2.7
2012-05-31 16:00:36,028 Trac[loader] DEBUG: Loading acct_mgr.svnserve from /usr/lib/pymodules/python2.7
2012-05-31 16:00:36,028 Trac[loader] DEBUG: Loading acct_mgr.web_ui from /usr/lib/pymodules/python2.7
2012-05-31 16:00:36,028 Trac[loader] DEBUG: Loading customfieldadmin.api from /usr/lib/pymodules/python2.7
2012-05-31 16:00:36,033 Trac[loader] DEBUG: Loading customfieldadmin.customfieldadmin from /usr/lib/pymodules/python2.7
2012-05-31 16:00:36,033 Trac[loader] DEBUG: Loading icalview from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,039 Trac[loader] DEBUG: Loading trac.about from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,040 Trac[loader] DEBUG: Loading trac.admin.console from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,042 Trac[loader] DEBUG: Loading trac.admin.web_ui from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,043 Trac[loader] DEBUG: Loading trac.attachment from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,044 Trac[loader] DEBUG: Loading trac.db.mysql from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,045 Trac[loader] DEBUG: Loading trac.db.postgres from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,046 Trac[loader] DEBUG: Loading trac.db.sqlite from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,049 Trac[loader] DEBUG: Loading trac.mimeview.patch from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,049 Trac[loader] DEBUG: Loading trac.mimeview.pygments from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,069 Trac[loader] DEBUG: Loading trac.mimeview.rst from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,189 Trac[loader] DEBUG: Loading trac.mimeview.silvercity from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,199 Trac[loader] DEBUG: Skipping "trac.mimeview.silvercity = trac.mimeview.silvercity [silvercity]": ("DistributionNotFound: SilverCity>=0.9.4" not found)
2012-05-31 16:00:36,200 Trac[loader] DEBUG: Loading trac.mimeview.txtl from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,209 Trac[loader] DEBUG: Skipping "trac.mimeview.txtl = trac.mimeview.txtl [textile]": ("DistributionNotFound: textile>=2.0" not found)
2012-05-31 16:00:36,210 Trac[loader] DEBUG: Loading trac.prefs from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,210 Trac[loader] DEBUG: Loading trac.search from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,211 Trac[loader] DEBUG: Loading trac.ticket.admin from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,213 Trac[loader] DEBUG: Loading trac.ticket.query from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,213 Trac[loader] DEBUG: Loading trac.ticket.report from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,214 Trac[loader] DEBUG: Loading trac.ticket.roadmap from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,215 Trac[loader] DEBUG: Loading trac.ticket.web_ui from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,219 Trac[loader] DEBUG: Loading trac.timeline from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,220 Trac[loader] DEBUG: Loading trac.versioncontrol.admin from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,221 Trac[loader] DEBUG: Loading trac.versioncontrol.svn_authz from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,222 Trac[loader] DEBUG: Loading trac.versioncontrol.svn_fs from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,224 Trac[loader] DEBUG: Loading trac.versioncontrol.svn_prop from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,230 Trac[loader] DEBUG: Loading trac.versioncontrol.web_ui from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,231 Trac[loader] DEBUG: Loading trac.web.auth from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,231 Trac[loader] DEBUG: Loading trac.web.session from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,231 Trac[loader] DEBUG: Loading trac.wiki.admin from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,231 Trac[loader] DEBUG: Loading trac.wiki.interwiki from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,233 Trac[loader] DEBUG: Loading trac.wiki.macros from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,233 Trac[loader] DEBUG: Loading trac.wiki.web_api from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,234 Trac[loader] DEBUG: Loading trac.wiki.web_ui from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,235 Trac[loader] DEBUG: Loading tracopt.mimeview.enscript from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,236 Trac[loader] DEBUG: Loading tracopt.mimeview.php from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,236 Trac[loader] DEBUG: Loading tracopt.perm.authz_policy from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,237 Trac[loader] DEBUG: Loading tracopt.perm.config_perm_provider from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,238 Trac[loader] DEBUG: Loading tracopt.ticket.commit_updater from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,239 Trac[loader] DEBUG: Loading tracopt.ticket.deleter from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,240 Trac[loader] DEBUG: Loading tractags from /usr/lib/pymodules/python2.7
2012-05-31 16:00:36,245 Trac[loader] DEBUG: Loading tracwysiwyg from /usr/lib/pymodules/python2.7
2012-05-31 16:00:36,246 Trac[loader] DEBUG: Loading wikitable from /usr/lib/python2.7/dist-packages
2012-05-31 16:00:36,252 Trac[default_workflow] DEBUG: Workflow actions at initialization: {u'resolve': {u'operations': [u'set_resolution'], 'name': u'resolve', 'default': 0, 'newstate': u'closed', 'oldstates': [u'new', u'assigned', u'accepted', u'reopened'], u'permissions': [u'TICKET_MODIFY']}, u'accept': {u'operations': [u'set_owner_to_self'], 'name': u'accept', 'default': 0, 'newstate': u'accepted', 'oldstates': [u'new', u'assigned', u'accepted', u'reopened'], u'permissions': [u'TICKET_MODIFY']}, u'leave': {u'operations': [u'leave_status'], 'name': u'leave', u'default': 1, 'newstate': u'*', 'oldstates': [u'*'], 'permissions': []}, u'reopen': {u'operations': [u'del_resolution'], 'name': u'reopen', 'default': 0, 'newstate': u'reopened', 'oldstates': [u'closed'], u'permissions': [u'TICKET_CREATE']}, u'reassign': {u'operations': [u'set_owner'], 'name': u'reassign', 'default': 0, 'newstate': u'assigned', 'oldstates': [u'new', u'assigned', u'accepted', u'reopened'], u'permissions': [u'TICKET_MODIFY']}, '_reset': {'operations': ['reset_workflow'], 'name': 'reset', 'default': 0, 'newstate': 'new', 'oldstates': [], 'permissions': []}}

2012-05-31 16:00:36,254 Trac[main] DEBUG: Dispatching <Request "GET '/chrome/common/js/trac.js'">
2012-05-31 16:00:36,257 Trac[session] DEBUG: Retrieving session for ID 'cpatzer'
2012-05-31 16:00:36,274 Trac[main] DEBUG: Dispatching <Request "GET '/chrome/common/css/roadmap.css'">
2012-05-31 16:00:36,275 Trac[session] DEBUG: Retrieving session for ID 'cpatzer'
2012-05-31 16:00:36,399 Trac[main] DEBUG: Dispatching <Request "GET '/chrome/common/logo.gif'">
2012-05-31 16:00:36,399 Trac[session] DEBUG: Retrieving session for ID 'cpatzer'
2012-05-31 16:00:36,415 Trac[main] DEBUG: Dispatching <Request "GET '/chrome/common/topbar_gradient2.png'">
2012-05-31 16:00:36,416 Trac[session] DEBUG: Retrieving session for ID 'cpatzer'
2012-05-31 16:00:36,443 Trac[main] DEBUG: Dispatching <Request "GET '/chrome/common/topbar_gradient.png'">
2012-05-31 16:00:36,445 Trac[session] DEBUG: Retrieving session for ID 'cpatzer'
2012-05-31 16:00:36,444 Trac[main] DEBUG: Dispatching <Request "GET '/chrome/common/trac_logo_mini.png'">
2012-05-31 16:00:36,445 Trac[session] DEBUG: Retrieving session for ID 'cpatzer'
2012-05-31 16:00:36,444 Trac[main] DEBUG: Dispatching <Request "GET '/chrome/common/dots.gif'">
2012-05-31 16:00:36,492 Trac[session] DEBUG: Retrieving session for ID 'cpatzer'
2012-05-31 16:01:08,459 Trac[main] DEBUG: Dispatching <Request "GET '/milestone/Web version 4'">
2012-05-31 16:01:08,463 Trac[session] DEBUG: Retrieving session for ID 'cpatzer'
2012-05-31 16:01:08,464 Trac[main] DEBUG: Negotiated locale: None -> None
2012-05-31 16:01:08,466 Trac[api] INFO: Synchronized '' repository in 0.00 seconds
2012-05-31 16:01:08,466 Trac[api] DEBUG: action controllers for ticket workflow: ['ConfigurableTicketWorkflow']
2012-05-31 16:01:08,467 Trac[chrome] DEBUG: Prepare chrome data for request
2012-05-31 16:01:08,497 Trac[svn_fs] DEBUG: Subversion bindings imported
2012-05-31 16:01:14,508 Trac[main] DEBUG: Dispatching <Request "GET '/newticket'">
2012-05-31 16:01:14,512 Trac[session] DEBUG: Retrieving session for ID 'cpatzer'
2012-05-31 16:01:14,513 Trac[main] DEBUG: Negotiated locale: None -> None
2012-05-31 16:01:14,514 Trac[api] INFO: Synchronized '' repository in 0.00 seconds
2012-05-31 16:01:14,520 Trac[chrome] DEBUG: Prepare chrome data for request
2012-06-01 09:26:31,976 Trac[main] DEBUG: Dispatching <Request "GET '/query'">
2012-06-01 09:26:31,979 Trac[session] DEBUG: Retrieving session for ID 'cpatzer'
2012-06-01 09:26:31,980 Trac[main] DEBUG: Negotiated locale: None -> None
2012-06-01 09:26:31,981 Trac[api] INFO: Synchronized '' repository in 0.00 seconds
2012-06-01 09:26:31,990 Trac[chrome] DEBUG: Prepare chrome data for request
2012-06-01 09:26:32,004 Trac[query] DEBUG: Count results in Query: 9
2012-06-01 09:26:32,005 Trac[query] DEBUG: Query SQL: SELECT t.id AS id,t.summary AS summary,t.status AS status,t.type AS type,t.priority AS priority,t.milestone AS milestone,t.component AS component,t.time AS time,t.changetime AS changetime,t.owner AS owner,priority.value AS priority_value
FROM ticket AS t
  LEFT OUTER JOIN enum AS priority ON (priority.type='priority' AND priority.name=priority)
WHERE ((COALESCE(t.status,'')!=u'closed') AND (COALESCE(t.owner,'')=u'cpatzer'))
ORDER BY COALESCE(priority.value,'')='',CAST(priority.value AS integer),t.id
2012-06-01 09:26:32,489 Trac[session] INFO: Refreshing session cpatzer
2012-06-01 09:26:32,489 Trac[session] DEBUG: Purging old, expired, sessions.

comment:8 Changed 2 years ago by anonymous

So... I got it to show up in the Admin panel. I guess I had to use easy_install after I installed the plugin through the Admin Plugins page. However when I enable it and try to start a new ticket I get:

OperationalError: near ".": syntax error

This is probably a local installation issue.
Found a bug in Trac?

If you think this should work and you can reproduce the problem, you should consider creating a bug report.

Note that the Budgeting-Plugin plugin seems to be involved. Please report this issue to the plugin maintainer.

Before you do that, though, please first try searching for similar issues, as it is quite likely that this problem has been reported before. For questions about installation and configuration of Trac or its plugins, please try the mailing list instead of creating a ticket.

Otherwise, please a new bug report describing the problem and explain how to reproduce it.
Python Traceback
Most recent call last:

    File "/usr/lib/python2.7/dist-packages/trac/web/main.py", line 511, in _dispatch_request
    File "/usr/lib/python2.7/dist-packages/trac/web/main.py", line 258, in dispatch
    File "/usr/lib/python2.7/dist-packages/trac/web/chrome.py", line 840, in render_template
    File "/usr/lib/python2.7/dist-packages/genshi/core.py", line 132, in __or__
    File "/usr/lib/python2.7/dist-packages/trac/web/chrome.py", line 991, in inner
    File "/usr/local/lib/python2.7/dist-packages/Budgeting_Plugin-0.5.a4-py2.6.egg/ticketbudgeting/ticketbudgeting.py", line 287, in filter_stream
    File "/usr/local/lib/python2.7/dist-packages/Budgeting_Plugin-0.5.a4-py2.6.egg/ticketbudgeting/ticketbudgeting.py", line 759, in create_table
    File "/usr/local/lib/python2.7/dist-packages/Budgeting_Plugin-0.5.a4-py2.6.egg/ticketbudgeting/ticketbudgeting.py", line 782, in create_reports 

comment:9 Changed 2 years ago by framay

Well, the error is raised at Line 782. In the try-block there should be logged several info message.

Could you please check your Log again (after the error occurs)? Which database are you using? There might be some problems with SQLite (we are using Postgre-SQL 8.4). See also tickets #8837 and #9517 for any hints, esapecially check your DB driver (see 9517#comment:3).

comment:10 Changed 2 years ago by anonymous

Yes, I'm using SQLite (the default trac database). I'll look into those a little later today (sigh).

comment:11 follow-up: Changed 20 months ago by fs@…

Is it possible that there are just a few single quotes in the SQL-statement creating the report:

u"""SELECT t.id, t.summary, t.milestone AS __group__, '../milestone/' || t.milestone AS __grouplink__, 
    t.owner, t.reporter, t.status, t.type, t.priority, t.component,
    count(b.ticket) AS Anz, sum(b.cost) AS Aufwand, sum(b.estimation) AS Schaetzung,
    floor(avg(b.status)) || '%' AS "Status", 
    (CASE t.status 
      WHEN 'closed' THEN 'color: #777; background: #ddd; border-color: #ccc;'
      ELSE 
        (CASE sum(b.cost) > sum(b.estimation) WHEN true THEN 'font-weight: bold; background: orange;' END)
    END) AS __style__
    from ticket t
    left join budgeting b ON b.ticket = t.id
    where t.milestone like 
    (CASE $MILESTONE
              WHEN '''' THEN ''%'' 
              ELSE $MILESTONE END) and
    (t.component like (CASE $COMPONENT
              WHEN '' THEN '%' 
              ELSE $COMPONENT END) or t.component is null) and 
    (t.owner like (CASE $OWNER
              WHEN '' THEN $USER 
              ELSE $OWNER END) or t.owner is null or 
     b.username like (CASE $OWNER
              WHEN '' THEN $USER 
              ELSE $OWNER END) )
    group by t.id, t.type, t.priority, t.summary, t.owner, t.reporter, t.component, t.status, t.milestone
    having count(b.ticket) > 0
    order by t.milestone desc, t.status, t.id desc"""

for example

  • '../milestone/' or
  • '%'

When replacing those single quotes by two single quotes, the report seems to be inserted correctly. However, I run into another problem: the creation of the table budgeting also fails right before the insertion of the report with the following error message:

'sqlite3.Connection' object has no attribute 'schema'

This error is caused by the following lines of code inside create_table:

                if db.schema:
                    stmt = re.sub(r'CREATE TABLE ', 'CREATE TABLE "' 
                                  + db.schema + '".', stmt) 
                stmt = re.sub(r'(?i)bigint', 'NUMERIC(10,2)', stmt)
                stmt += ";"

The sqlite connection object apparently does not have an attribute schema. What exactly is this if-clause responsible for? Could it be spared for sqlite? I commented out those lines and the budgeting-plugins seems to work, but I did not check this very thoroughly - at least the report is inserted, the table gets created and I can enter budgeting information.

Ah, just one more thing: the last line of the code-snippet above (stmt += ";") adds an additional ; and causes the execution of the SQL-statement to fail with the following error message:

You can only execute one statement at a time.

Ciao, Fabian

comment:12 in reply to: ↑ 11 Changed 18 months ago by framay

Replying to fs@cs.fau.de:

Is it possible that there are just a few single quotes in the SQL-statement creating the report:
for example

  • '../milestone/' or
  • '%'

When replacing those single quotes by two single quotes, the report seems to be inserted correctly.

Yes, this might be a good point. Maybe replacing those single quotes by two single quotes will fix this problem.

However, I run into another problem: the creation of the table budgeting also fails right before the insertion of the report with the following error message:
...

The sqlite connection object apparently does not have an attribute schema. What exactly is this if-clause responsible for? Could it be spared for sqlite? I commented out those lines and the budgeting-plugins seems to work, but I did not check this very thoroughly - at least the report is inserted, the table gets created and I can enter budgeting information.

We use different Trac project into one Postgres database; the projects has different schemas, e.g. trac_product1, trac_product2, etc. This is the reason for using db.schema.

I just saw that there is a public method get_supported_schemes (see Trac api.py. Maybe this method is more robust than just accessing a member variable schema.

Ah, just one more thing: the last line of the code-snippet above (stmt += ";") adds an additional ; and causes the execution of the SQL-statement to fail with the following error message: ...

Well, maybe postgres needs the semi-colon, but SQLite troubles that trailing semi-colon. Maybe there is a need to distinguish between the supported DB versions. But I don't know exactly how to accomplish that, maybe by checking connectors variable in DatabaseManager.

comment:13 Changed 5 weeks ago by framay

  • Resolution set to fixed
  • Status changed from new to closed

You can download distribution file (.egg) from SVN-folder dist: budgetingplugin/trunk/dist

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.